//
//  MBIMVersionOperation.m
//  kordophoned
//
//  Created by James Magahern on 8/3/22.
//  Copyright © 2022 James Magahern. All rights reserved.
//

#import "MBIMVersionOperation.h"
#import "MBIMErrorResponse.h"

#ifdef __clang_analyzer__
const char* MBIMVersion() {
    return "UNKNOWN";
}
#else
#import "MBIMVersion.c"
#endif

@implementation MBIMVersionOperation

+ (void)load { [super load]; }

+ (BOOL)requiresAuthentication
{
    return NO;
}

+ (NSString *)endpointName
{
    return @"version";
}

- (void)main
{
    NSString *versionString = [NSString stringWithUTF8String:MBIMVersion()];
    self.serverCompletionBlock([[MBIMDataResponse alloc] initWithData:[versionString dataUsingEncoding:NSUTF8StringEncoding]]);
}

@end
